From f1f857f55dbeee871af7690bfcb41a4af71b366f Mon Sep 17 00:00:00 2001
From: "Bryn M. Reeves" <bmr@redhat.com>
Date: Tue, 9 Sep 2014 18:22:14 +0100
Subject: [PATCH] [ldap] ensure /etc/openldap/ content is collected

---
 sos/plugins/ldap.py | 7 +++++--
 1 file changed, 5 insertions(+), 2 deletions(-)

diff --git a/sos/plugins/ldap.py b/sos/plugins/ldap.py
index 40eedf7..243a4c4 100644
--- a/sos/plugins/ldap.py
+++ b/sos/plugins/ldap.py
@@ -48,8 +48,11 @@ class ldap(sos.plugintools.PluginBase):
         self.addForbiddenPath("/etc/openldap/certs/key3.db")
         self.addCopySpec("/etc/ldap.conf")
         self.addCopySpec("/etc/openldap/ldap.conf")
-        self.addCopySpec("/etc/openldap/cert8.db")
-        self.addCopySpec("/etc/openldap/secmod.db")
+        self.addCopySpec("/etc/openldap/certs/cert8.db")
+        self.addCopySpec("/etc/openldap/certs/secmod.db")
+        self.addCopySpec("/etc/openldap/slapd.d")
+        self.addCopySpec("/etc/openldap/schema")
+        self.addCopySpec("/etc/openldap/cacerts")
         self.addCopySpec("/etc/nslcd.conf")
         self.addCopySpec("/etc/pam_ldap.conf")
         self.collectExtOutput("certutil -L -d /etc/openldap")
-- 
1.9.3

